Subject: Re: [nvo3] Fwd: Arch: proposed text for Combined L2/L3 Service

From: Balaji P <[email-masked]>
Date: Wed, 20 Nov 2013 09:39:57 +0000

Lucy,

As you know L2 and L3 Services for Tenant networks might be based on the Tenant Network Topology. Where TS can be configured for multiple L2 Services and L3 Services. IMHO treating L2 and L3 as separate services might be better options w.r.t NVE. So that based on NVE configuration for L2 and L3 Services will be applied to the traffic.

Regards,
Balaji.P

> -----Original Message-----
> From: nvo3 [mailto:[email-masked]] On Behalf Of Lucy yong
> Sent: Wednesday, November 20, 2013 9:12 AM
> To: Erik Nordmark; Thomas Narten
> Cc: [email-masked]; Linda Dunbar
> Subject: Re: [nvo3] Fwd: Arch: proposed text for Combined L2/L3 Service
> 
> Erik,
> 
> Good point. L2 service provides a broadcast domain. Whether the
> broadcast/multicast packet should be sent to another VN is depend on
> inter VN policy. It is possible. When the broadcast/multicast packet
> deliver to the L3 router too.  If the policy allows the
> broadcast/multicast to broadcast to another VN, L3 router will forward
> the packet to another VN with the same DMAC. If the policy does not
> allow, L3 router will drop the packet.
> 
> You are right, if dMAC is broadcast/multicast address, it should send to
> L3 router for the further process. I change the text to following.
> 
>           A tenant network may require both L2 and L3
>           services, i.e. the packets from a tenant may get L2 and/or L3
> treatment.
>           An NVE receiving packets from a TS determines the type of
> service to be applied to
>           the packet on a per-packet basis and as indicated by the
>           destination MAC address on the packet.  If
>           the MAC address corresponds to that of an L3 router (as
>           determined by the NVE) traffic is given L3
>           semantics with inter-VN policy. When an NVE receives a
> broadcast/multicast packet,
>           it should be processed by the L3 router. Depending on the
> inter-VN policy,
>           the broadcast/multicast may be allowed or prohibited.
> Otherwise, the packet is given L2
>           semantics. Thus the packet from a tenant must contain IP header
> (as well
>          as Ethernet header) .  A combined L2/L3 service presents no
> special
>           considerations for NVO3, other than packets received from a
>           tenant must be classified as to what type of service they
>           are to be given before they can be processed.
> 
> 
> Thanks,
> Lucy
> 
> 
> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]]
> Sent: Tuesday, November 19, 2013 6:56 PM
> To: Lucy yong; Thomas Narten
> Cc: [email-masked]; Linda Dunbar
> Subject: Re: [nvo3] Fwd: Arch: proposed text for Combined L2/L3 Service
> 
> Lucy,
> 
> What would the rules be for multicast packets?
> Such packets are not addressed to a router's MAC address but instead the
> router receives all of them and processes them based on the L3 multicast
> FIB.
> 
> (For products which implement both L2 and L3 the processing of multicast
> depends on whether the input port is L2 or L3, and in some cases that
> will result in both bridging the packet out other L2 ports, and
> forwarding the packet out other L3 (virtual) ports.)
> 
> Thus AFAICT the multicast rules can't depend on the destination MAC
> address to determine whether L2 or L3 service should be applied.
> 
>     Erik
> 
> On 11/19/13 4:20 PM, Lucy yong wrote:
> > Hi Thomas,
> >
> > How about the following text:
> >
> >            A tenant network may require both L2 and L3
> >            services, i.e. the packets from a tenant may get L2 and/or
> > L3 treatment.
> >
> >            An NVE receiving packets from a TS determines the type of
> > service to be applied to
> >            the packet on a per-packet basis and as indicated by the
> >            destination MAC address on the packet.  If
> >            the MAC address corresponds to that of an L3 router (as
> >            determined by the NVE), traffic is given L3
> >            semantics. Otherwise, the packet is given L2
> >            semantics. Thus the packet from a tenant must contain IP
> > header (as well
> >
> >           as Ethernet header) .  A combined L2/L3 service presents no
> > special
> >            considerations for NVO3, other than packets received from a
> >            tenant must be classified as to what type of service they
> >            are to be given before they can be processed.
> >
> > Comment: should we use a tenant system (TS) or a tenant in the text to
> > make consistency?
> >
> > Regards,
> >
> > Lucy
> >
> > ---------- Forwarded message ----------
> > From: *Thomas Narten* <[email-masked] <mailto:[email-masked]>>
> > Date: Mon, Nov 18, 2013 at 3:25 PM
> > Subject: [nvo3] Arch: proposed text for Combined L2/L3 Service
> > To: [email-masked] <mailto:[email-masked]>
> >
> >
> > There has been some discussion on the list about whether or not to
> > have a combined L2/L3 service. Here is proposed text for the
> > architecture document:
> >
> >          <t>
> >            A virtual network can also provide a combined L2 and L3
> >            service to tenants. In such cases, a tenant sends and
> >            receives both L2 and L3 packets. An NVE recieving packets
> >            from a TS determines the type of service to be applied to
> >            the packet on a per-packet basis as indicated by the
> >            packet's destination MAC address as provided by the TS.  If
> >            the MAC address corresponds to that of an L3 router (as
> >            determined by the NVE), traffic is given L3
> >            semantics. Otherwise, the packet is given L2 service
> >            semantics. A combined L2/L3 service presents no special
> >            considerations for NVO3, other than packets received from a
> >            tenant must be classified as to what type of service they
> >            are to be given before they can be processed.
> >          </t>
> >
> > This text would go at the end of Section 3.1 "VN Service (L2 and L3)".
> >
> > Make sense?
> >
> > Additional thinking behind this (taken from mail within the DT):
> >
> >  > FWIW, I think that there are separate issues here. One is simply  >
> > describing what we mean by a combined L2/L3 service. That is what my
> > > text was trying to do. The thinking is if the service definition is
> > > clear and simple, supporting it in NVO3 is not a problem. I.e., it's
> > > not really much different to provide a combined service than if you
> > > offer an L2 or L3 service. And the service semantics for combined  >
> > L2/L3 are easy to understand and explain.  That is goodness. :-)  >  >
> > Whether and how it makes sense to have distributed gateways in a  >
> > combined service is a separate matter. What I'd like to be able to do
> > > here (if we need to say anything at all) is be able to say that if a
> > > distributed GW makes sense for L2 service, then having an L2  >
> > distributed GW for the L2 traffic would make sense in the combined  >
> > service case too. Ditto for L3 service.
> >  >
> >  > A key point is that having a combined service is pretty much the
> > same  > as taking the two separate L2 and L3 services and combining
> > them into  > one implementation. There is nothing really "special"
> > about this  that  > would complicate the overall architecture. Where
> > we can easily get  > into trouble is if we start defining a combined
> > service as has special  > cases that have to be dealt with that don't
> > appear when you have only  > L2 or only L3 service semantics.
> >
> > Thomas
> >
> > _______________________________________________
> > nvo3 mailing list
> > [email-masked] <mailto:[email-masked]>
> > https://www.ietf.org/mailman/listinfo/nvo3
> >
> >
> >
> > _______________________________________________
> > nvo3 mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/nvo3
> >
> 
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3

---

From: Balaji P <[email-masked]>
Date: Wed, 20 Nov 2013 09:55:54 +0000

Lucy,

Regards,
Balaji.P

---

From: Lucy yong <[email-masked]>
Date: Tue, 3 Dec 2013 23:03:15 +0000

Hi Balaji,

Current NVO3 framework/architecture allows you do that, right? It has L2 and L3 services and they can be used in the combination way. The combined L2/L3 service on NVE brings a special capability that is useful in the network virtualization and does not prohibit a NVE to provide individual L2 or L3 services. This gives operator choices to construct a tenant network and certainly not restrict to one or another. Please read draft-yong-nvo3-nve draft, it describes the both cases.

Regarding a TS can be configured for multiple L2 services and L3 services, this also does not conflict with the combined L2/L3 service on NVE at all. As the framework/architecture clearly specifies that when a TS is configured for multiple L2 services and L3 services, the TS is associated with distinguished VAPs each of which connects to one of the services. 

"So that based on NVE configuration for L2 and L3 Services will be applied to the traffic."  I don't understand this. Missing words?

Thanks,
Lucy  

-----Original Message-----
From: nvo3 [mailto:[email-masked]] On Behalf Of Balaji P
Sent: Wednesday, November 20, 2013 3:56 AM
To: Lucy yong; Erik Nordmark; Thomas Narten
Cc: [email-masked]; Linda Dunbar
Subject: Re: [nvo3] Fwd: Arch: proposed text for Combined L2/L3 Service

Lucy,

Regards,
Balaji.P

> Such packets are not addressed to a router's MAC address but instead 
> the router receives all of them and processes them based on the L3 
> multicast FIB.
> 
> (For products which implement both L2 and L3 the processing of 
> multicast depends on whether the input port is L2 or L3, and in some 
> cases that will result in both bridging the packet out other L2 ports, 
> and forwarding the packet out other L3 (virtual) ports.)
> 
> >           as Ethernet header) .  A combined L2/L3 service presents 
> > no special
> > Comment: should we use a tenant system (TS) or a tenant in the text 
> > to make consistency?
> >
> > Regards,
> >
> > Lucy
> >
> >  > FWIW, I think that there are separate issues here. One is simply  
> > > text was trying to do. The thinking is if the service definition 
> > > is clear and simple, supporting it in NVO3 is not a problem. I.e., 
> > > it's not really much different to provide a combined service than 
> > > if you offer an L2 or L3 service. And the service semantics for 
> > > combined  >
> > L2/L3 are easy to understand and explain.  That is goodness. :-)  >  
> > > Whether and how it makes sense to have distributed gateways in a  
> > > here (if we need to say anything at all) is be able to say that if 
> > > a distributed GW makes sense for L2 service, then having an L2  >
> > distributed GW for the L2 traffic would make sense in the combined  
> > service as has special  > cases that have to be dealt with that 
> > don't appear when you have only  > L2 or only L3 service semantics.
> >
> > Thomas
> >

---

From: Balaji P <[email-masked]>
Date: Thu, 5 Dec 2013 09:36:48 +0000

Hi Lucy,

> "So that based on NVE configuration for L2 and L3 Services will be
> applied to the traffic."  I don't understand this. Missing words?

As there is a section "5.2 NVE Service Type Choice for a Tenant Network", where TS Network can be configured for any service of NVE and if the admin wants to have specific service for NVE then NVE configuration of TS network can be used for this.

Regards,
Balaji.P

> From: Lucy yong [mailto:[email-masked]]
> Sent: Wednesday, December 04, 2013 4:33 AM
> To: P Balaji-B37839; Erik Nordmark; Thomas Narten
> Subject: RE: [nvo3] Fwd: Arch: proposed text for Combined L2/L3 Service
> 
> Hi Balaji,
> 
> Current NVO3 framework/architecture allows you do that, right? It has L2
> and L3 services and they can be used in the combination way. The combined
> L2/L3 service on NVE brings a special capability that is useful in the
> network virtualization and does not prohibit a NVE to provide individual
> L2 or L3 services. This gives operator choices to construct a tenant
> network and certainly not restrict to one or another. Please read draft-
> yong-nvo3-nve draft, it describes the both cases.
> 
> Regarding a TS can be configured for multiple L2 services and L3
> services, this also does not conflict with the combined L2/L3 service on
> NVE at all. As the framework/architecture clearly specifies that when a
> TS is configured for multiple L2 services and L3 services, the TS is
> associated with distinguished VAPs each of which connects to one of the
> services.
> 
> "So that based on NVE configuration for L2 and L3 Services will be
> applied to the traffic."  I don't understand this. Missing words?
> 
> 
> Thanks,
> Lucy
> 
> 
> As you know L2 and L3 Services for Tenant networks might be based on the
> Tenant Network Topology. Where TS can be configured for multiple L2
> Services and L3 Services. IMHO treating L2 and L3 as separate services
> might be better options w.r.t NVE. So that based on NVE configuration for
> L2 and L3 Services will be applied to the traffic.
> 
> Regards,
> Balaji.P
>